const authMiddleware = require("../middleware/authMiddleware");
const dashboardKetuaController = require("../controllers/dashboardKetuaController");
const router = require("express").Router();

router.post('/kelompok-register', authMiddleware, dashboardKetuaController.kelompokRegister)
router.post('/edit-kelompok', authMiddleware, dashboardKetuaController.editKelompok)
router.post('/edit-dospem', authMiddleware, dashboardKetuaController.editDospem)
router.post('/new-anggota', authMiddleware, dashboardKetuaController.newAnggota)
router.post('/drop-anggota', authMiddleware, dashboardKetuaController.dropAnggota)

router.post('/upload-laporansatu', authMiddleware, dashboardKetuaController.uploadLaporanSatu)
router.post('/upload-laporandua', authMiddleware, dashboardKetuaController.uploadLaporanDua)
router.post('/upload-laporantiga', authMiddleware, dashboardKetuaController.uploadLaporanTiga)

router.post('/upload-revisisatu', authMiddleware, dashboardKetuaController.uploadRevisiSatu)
router.post('/upload-revisidua', authMiddleware, dashboardKetuaController.uploadRevisiDua)
router.post('/upload-revisitiga', authMiddleware, dashboardKetuaController.uploadRevisiTiga)

router.post('/upload-finalproject', authMiddleware, dashboardKetuaController.uploadFinalProject)

module.exports = router;
